<?php
session_start();
include("../param.inc");
include_once("quest_preview_graph.inc");
include('pchart-func.php');

$sort_index = 0;
/**
 *	回答ごとにソート
 *	@param $val1  データ1
 *	@param $val2  データ2
 *	@return 比較結果（1,0,-1）
 */
function sort_by_ans($val1, $val2) {
	global $sort_index;

	$v1 = explode(",", $val1);
	$v2 = explode(",", $val2);
	$n = strcmp($v1[$sort_index], $v2[$sort_index]);
	if ($n > 0) return 1;
	else if ($n == 0) return 0;
	else return -1;
}

/**
 *	回答集計を表示
 *	@param $path 回答保存フォルダ
 */
function save_allscore_counting($path) {
	global $sort_index;
	$n = count($_SESSION['no']);   //  ユーザ数
	$data = NULL;
	for ($i=0; $i<$n; $i++) {
		$scorefile = "$path/" . $_SESSION['uid'][$i];
		if (file_exists($scorefile)) {
			$fp = fopen($scorefile, "r");
			while ($tmp = fgets($fp, 4096)) $data[] = $tmp;  // 回答を取り込む
			fclose($fp);
		}
	}
	$n = count($data);
	if ($n > 0) {  // 回答があれば
		// 回答ごとに集計
		print ("<Table border=1><TR><TH>No.</TH><TH width='600'>Answer：Answer amount</TH>\n");
		$val = explode(",", $data[0]); // カンマで分割
		$j = count($val);
		$quest_num = $j - 4;  // 質問数
		for ($i=1; $i <= $quest_num; $i++) { // 質問番号を出力
			print("<TR><TH>$i</TH>");
			$q_content = NULL;    // 回答内容
			$q_count = NULL;      // 回答数
			$q_content[0] = "";
			$q_count[0] = 0;
			$sort_index = $i + 2;
			usort($data,"sort_by_ans");
			$ans_num = count($data);   // 回答数
			for ($j = 0; $j < $ans_num; $j++) {
				$val = explode(",", $data[$j]);
				if ($val[$i + 2] != $q_content[0]) {  // 新しい回答を登録
					$q_content[] = $val[$i + 2];
					$q_content[0] = $val[$i + 2];
					$q_count[] = 1;
				} else {
					$n = count($q_count);
					$q_count[$n-1] = $q_count[$n-1] + 1;
				}
			}
			print("<TD>");
			for ($j = 1; $j < count($q_content); $j++)
			print("$q_content[$j]：$q_count[$j]<BR>");
			print("</TD></TR>");
		}
		print("</TABLE>\n");

		//      if (isset($_POST[$path])) {  // 保存ボタンが押されたら
		//         $fp = fopen($path . "/tmp_counting.csv", "w");
		//         $header = "番号,氏名,回答日時,";
		//         $val = explode(",", $data[0]); // カンマで分割
		//         $j = count($val);
		//         for ($i=3; $i < $j-1; $i++)  // 質問番号を出力
		//            $header = $header . ($i-2) . ",";
		//         $header = $header . "\n";
		//         fputs($fp, mb_convert_encoding($header,"SJIS","auto"));
		//         for ($i = 0; $i<$n; $i++)
		//            fputs($fp, mb_convert_encoding($data[$i],"SJIS","auto"));
		//         fclose($fp);
		//         print('<DIV align="right">ダウンロード：<A href="' . $path . '/tmp_counting.csv">回答ファイル</A></DIV>' . "\n");
		//      }
	} else print_error("No survey answer.");
}

print_header("Survey");
if (!isset($_SESSION['id']) || ($_SESSION['id'] == "")) { // ログインしていない
	print("<SCRIPT language='JavaScript'>");
	print("window.alert('Please login first.');");
	print("</SCRIPT>");
	print("<CENTER><A href='../main/index.php'>To login page</A></CENTER>");
	// } else if ($_SESSION['admin']==0) { // 管理者でない
	//    print("<SCRIPT language='JavaScript'>");
	//    print("window.alert('あなたは管理者ではありません');");
	//    print("</SCRIPT>");
} else {
	print_headline("Survey collection after the deadline");
	// 下のボタンをクリックすると，a?/tmp_counting.csv ファイルを作成します。<BR>
	// たとえば，a1/tmp_counting.csv は第１回アンケートの回答ファイルです。
	?>

<FORM method="POST" action="quest_result_graph.php">
<CENTER><?php
print_title1("Older survey collection");

$path = 0;
for ($i=1; $i<=20; $i++) {
	$x = "a" . $i;
	if (is_dir($x)) {
		if (isset($_POST[$x])) $path = $i;
		print('<INPUT type="submit" value="No.' . $i . '" name="' .$x. '">　');
	}
}
if ($path > 0) {
	print("<H4>No. $path</H4>\n");
	$mPath = "a" . $path . "/";
//	save_allscore_counting("a". $path);
	print("<H4>Survey</H4>");
	quest_preview($mPath, $mPath . "quest.csv");  // アンケート質問の表示
}
?></CENTER>
</FORM>
<?php
} print_copyright();
?>

</BODY>
</HTML>
